{
	"format_version": "1.20.80",
	"minecraft:block": {
		"description": {
			"identifier": "v360:stone_tiles_slab",
			"menu_category": {
				"category": "construction",
				"group": "itemGroup.name.slab"
			},
			"traits": {
				"minecraft:placement_position": {
					"enabled_states": [
						"minecraft:vertical_half"
					]
				}
			},
			"states": {
				"v360:double": [
					false,
					true
				],
				"v360:waterlogged": [
					false,
					true
				]
			}
		},
		"permutations": [
			{
				"condition": "q.block_state('minecraft:vertical_half') == 'bottom' && !q.block_state('v360:double')",
				"components": {
					"minecraft:collision_box": {
						"origin": [
							-8,
							0,
							-8
						],
						"size": [
							16,
							8,
							16
						]
					},
					"minecraft:selection_box": {
						"origin": [
							-8,
							0,
							-8
						],
						"size": [
							16,
							8,
							16
						]
					}
				}
			},
			{
				"condition": "q.block_state('minecraft:vertical_half') == 'top' && !q.block_state('v360:double')",
				"components": {
					"minecraft:collision_box": {
						"origin": [
							-8,
							8,
							-8
						],
						"size": [
							16,
							8,
							16
						]
					},
					"minecraft:selection_box": {
						"origin": [
							-8,
							8,
							-8
						],
						"size": [
							16,
							8,
							16
						]
					}
				}
			},
			{
				"condition": "q.block_state('v360:double')",
				"components": {
					"minecraft:geometry": "minecraft:geometry.full_block",
					"minecraft:custom_components": [
						"v360:double_block_destroy"
					]
				}
			}
		],
		"components": {
			"minecraft:destructible_by_mining": {
				"seconds_to_destroy": 7.5
			},
			"minecraft:destructible_by_explosion": {
				"explosion_resistance": 6
			},
			"minecraft:geometry": {
				"identifier": "geometry.slab",
				"bone_visibility": {
					"bottom_slab": "q.block_state('minecraft:vertical_half') == 'bottom'",
					"top_slab": "q.block_state('minecraft:vertical_half') == 'top'"
				}
			},
			"minecraft:custom_components": [
				"v360:slabs",
				"v360:block_destroy"
			],
			"minecraft:material_instances": {
				"*": {
					"texture": "stone_tiles"
				}
			},
			"minecraft:map_color": "#999999",
			"minecraft:flammable": false,
			"minecraft:loot": "loot_tables/empty.json",
			"tag:stone": {},
			"tag:v360:stone_slab": {}
		}
	}
}